<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTMl Attributes and Links</title>
</head>
<body>
	<h1 align="center">HTML Attributes</h1>

	<!-- 
		HTML Atrributes are added to modify behavior of HTML element.

		<tag attribute="value"></tag>
		
		aligh atrribute modifies the alignment of our text in an element.
	 -->

<h2 align="right">Modifiers Of Element Behaviors</h2>

	<!-- type attribute can be added to ol to change the default from numbered list to the indicated type. -->

	<!-- start attribute can determine from which number we can start -->

	<!-- reversed attribute reverses the order of the numbering. -->

	<ol reversed>
		<li>Michael Jordan</li>
		<li>Kobe Bryant</li>
		<li>Lebron James</li>

	</ol>
	<!-- img to add an image element. It is usully used with a src attribute which determines the source of the image that is to be displayed. 
	
	height and width atrribute allows us to determine the height and width of an image per pixel.

	alt atrribute allows us to add a caption or description about our image in the event that the path provided cannot be found.

	src attribute in our img tag can allow us to locate the resource from a relative path or an absolute path

		relative path - means that the resource is located relatively to our index.html. This means that the resource is on the same machine or in the same server.

		absolute path -  means that the resource is not located relative to our index.html but instead is located outside the machine or the server.

	 -->
	<img src="./images/html5.png" width="100" height="100" alt="a logo of HTML 5">
	<img src="https://place-puppy.com/300x300" alt="a picture of a puppy.">

	<!-- 
		mini-activity:
		Add an hr
		Add an h1 with your name
		Add an h3 with the text: "Full Stack Web Developer"

		Download or copy your picture into the image folder inside the discussion folder in s4. Make sure that the image is:

		-jpg/.png
		-square in size and shape
		-keep it sfw

		Add an img in our HTML to display the image.
			-add a src attribute and its relative path to locate the picture and display it properly.
			-add a height and width attribute in the img tag and resize the picture to 200x200 or 200px in height and 200px in width,
			-add an alt attribute to the image to the describe the picture

		 -->
<hr>
	<h1>Ian Clark Villegas</h1>
	<h3>Full Stack Web Developer</h3>

	<img src="./images/me.jpg" width="200" height="200" alt="Me and my Son">

<hr>

	<h3>My 3 Favorite Foods</h3>

		<img src="https://d1uz88p17r663j.cloudfront.net/resized/107b11dd149893fe840a1a29d0014154_G_MAGGI_0206-2_1900px_944_531.jpg" width="200" height="200" alt="1st Favorite Food">
		<img src="https://www.foxyfolksy.com/wp-content/uploads/2019/01/bistek-640.jpg" width="200" height="200" alt="2nd Favorite Food">
		<img src="https://i.pinimg.com/550x/0a/b7/73/0ab77387fc0dea75d39ab3c76192afe7.jpg" width="200" height="200" alt="3rd Favorite Food">

		<!-- Links -->
		<!-- 
			We use links to go to other hhtml or web page. 

			Absolute or Relative link

			Absolute link if the page we are ging to is outside the machine or in another server from our page.

			Relative Link if the page we are going is on the same machine or in the server as our page.

			a - anchor tag - this allow to create links to a relative path or an absolute path.
			
			href - hypertext reference - is an attribute added to an anchor tag to privide the URL which we will go to.
			
			target="_blank" is added to an absolute link to open a new tab when the absolute link is used


			 -->
<hr>

	<h2>Links</h2>
	<a href="https:zuitt.co" target="_blank">Go to Zuitt</a>
	<a href="./link.html">Go To Link.html</a>
	<a href="#">Am i Link?</a>
	<a href="./relatives-sample/relative.html">Go to Relative Page</a>

	<!-- div tag is a generic container which we can add text or other elements in it. -->

	<div>
		<a href="https://www.jollibeefoods.com/" target="_blank">
			<img src="./images/Jollibee.png" width="200" height="200" alt="A Picture of Jollibee">
		</a>

	</div>

</body>
</html>